<?php
/*
页面功能：配合页面V_1.php,从项目表中提取过滤信息；
*/
//****************************************请求权限******************************************
require("locked.php");                                                                 //*
setlocked(8,"");                                                                       //*
//****************************************************************************************

//将请求的项目名称转换成实际表名；
switch($_GET[searchTable]){
	case "现金流量":
	    $tblName="jc_xjll";
	    break;
	case "客户":
	    $tblName="jc_kh";
	    break;
	case "个人":
	    $tblName="jc_gr";
	    break;
	case "存货":
	    $tblName="jc_ch";
	    break;
	case "供应商":
	    $tblName="jc_gys";
	    break;
	case "部门":
	    $tblName="jc_bm";
	    break;
	case "核算项目":
	    $tblName="jc_xm";
	    break;
	default: 
	    $tblName="";
	    break;
}

include("cnn.php");
$strsql='select id,name from '.$tblName.' where id like "'.$_GET[searchText].'%" or name like "%'.$_GET[searchText].'%" order by id asc';
//echo $strsql;
$sql=$mysqli->query($strsql);
$info=$sql->fetch_array(MYSQLI_BOTH);
$afr=$sql->num_rows;
echo '<table border=1 cellspacing=0 bgcolor="white" id="tbl3" style="margin-top:-20px">';
if($info){ //如果存在数据；
    DO{
	   echo '<tr title="'.$_GET[searchTable].'" onmouseover="trMouseover(this)" onmouseout="trMouseout(this)" onclick="trClickXM(this)">';
	   echo '<td>'.$info[id].'</td>';
	   echo '<td>'.$info[name].'</td>';
	   echo '</tr>';
	}while($info=$sql->fetch_array(MYSQLI_BOTH));
}
echo '</table>';

echo '<div><font style="background-color:blue;color:white">搜索到符合条件的'.$afr.'条记录</font></div>';

$sql->free();
$mysqli->close();
?>